// ProObjRoundRect.h : _xZkqqHx_iDhHiDgCiDfPiBfL_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "ProObjRoundRectSub.h"	// For CFCPROOBJROUNDRECT.
#include "ProObjProperty.h"	// Superclass.

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCProObjProperty

/////////////////////////////////////////////////////////////////////////////
// CFCProObjRoundRect _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

class CFCProObjRoundRect : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

	DECLARE_DYNCREATE(CFCProObjRoundRect)

// _xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfGiDiHiDjD_xHqqkZx_
public:
	CFCProObjRoundRect();
	~CFCProObjRoundRect();

// _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_ _xZkqqHx_iDgGiBfLiDfO_xHqqkZx_
	//{{AFX_DATA(CFCProObjRoundRect)
	enum { IDD = IDD_PRO_ROUNDRECT };
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDgGiBfLiDfO_xHqqkZx_ _xZkqqHx_iDiBiDjDiDgPiCpAjCmHiJmBiClFiCnMiClHiBeC_xHqqkZx_
		//    _xZkqqHx_iClBiCmMiImKjChFiCmJjAlGjAkMiClDiCoKiCoJiDfCiBfLiDgIiCpAjFnCiPfHiClFiCmIiCkCiCmFiCkNiClOiClDiCkCiBeC_xHqqkZx_
	//}}AFX_DATA

CFCPROOBJROUNDRECT

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCpAjAlGjAkMiClFiDeJiBfLiDgPiBfLiDiJiDeDiDgIiClFiCnMiClHiBeC_xHqqkZx_
	//{{AFX_VIRTUAL(CFCProObjRoundRect)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
protected:
	// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
	//{{AFX_MSG(CFCProObjRoundRect)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeRrtCmbRoundType();
	afx_msg void OnChangeRrtEdtRoundX();
	afx_msg void OnChangeRrtEdtRoundY();
	afx_msg void OnDialogInitValue();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};
